# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "h2x"
version = "0.2.0"
authors = ["Nur <nurmohammed840@gmail.com>"]
exclude = [
    "/examples",
    ".*",
]
description = "Thin wrapper around `h2` with some ergonomic API for building HTTP/2 servers"
readme = "README.md"
keywords = [
    "http2",
    "h2",
]
license = "MIT"
repository = "https://github.com/nurmohammed840/h2x"

[dependencies.bytes]
version = "1"

[dependencies.h2]
version = "0.3"

[dependencies.http]
version = "0.2"

[dependencies.tokio]
version = "1"
features = [
    "io-util",
    "rt",
]

[dependencies.tokio-tls-listener]
version = "0.1"

[dev-dependencies.tokio]
version = "1"
features = [
    "rt-multi-thread",
    "macros",
    "signal",
]
